/**
 * @file test_voc.cpp
 * @brief Unit tests for Voc component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "voc.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_voc_initialize(void)
{
    Voc comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_voc_deinitialize(void)
{
    Voc comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
